TSHTTPTXNCLIENTPACKETTOSSET(3ts)

NAME
TSHttpTxnClientPacketTosSet - TSHttpTxnClientPacketTosSet API function

SYNOPSIS

            #include <ts/ts.h>

    TSReturnCode TSHttpTxnClientPacketTosSet(TSHttpTxn txnp, int tos)

DESCRIPTION

Change packet tos for the client side connection.

IMPORTANT:
        Changes take effect immediately

NOTE:
        TOS is deprecated and replaced by DSCP. This is still used to set DSCP, however the first 2 bits of this value will be ignored as they now belong to the ECN field.

SEE ALSO

COPYRIGHT
2024, dev@trafficserver.apache.org